DU(1)

NOME
du - estima o espaço utilizado

SINOPSE
du [opções] [arquivo...]

Opções POSIX: [-askx]

Opções GNU (forma reduzida): [-abcDhHklLmsSxX] [--block-size=tamanho] [--exclude=modelo] [--max-depth=n] [--help] [--version] [--]

DESCRIÇÃO
du relata a quantia de espaço de disco usada pelos arquivos especificados, e por cada um dos diretórios na hierarquia dos arquivos especificados. Aqui 'espaço de disco usado' significa espaço usado pela hierarquia completa de arquivos abaixo do arquivo especificado.

Sem nenhum argumento, du relata o espaço de disco usado pelo diretório atual.

DETALHES POSIX
O saída padrão é em unidades de 512 bytes, mas pode ser em 1024 bytes quando a opção -k é fornecida.

DETALHES GNU
A saída padrão é em unidades de 1024 bytes (quando nenhuma unidade é especificada por opções), a menos que a variável de ambiente POSIXLY_CORRECT seja selecionada, no caso em que o POSIX é seguido.

OPÇÕES POSIX

-a  Exibe a contagem para todos os arquivos encontrados, não somente diretórios.

-k  Usa unidades de 1024 bytes ao invês do padrão de unidades de 512 bytes.

-s  Somente devolve o espaço usado para o atual argumento fornecido, e não para seus sub-diretórios.

-x  Somente conta o espaço no mesmo dispositivo como argumento fornecido.

OPÇÕES GNU

-a, --all
    Exibe a contagem para todos os arquivos, não somente diretórios.

-b, --bytes
    Imprime o tamanho em bytes, ao invés de kilobytes.

--block-size=tamanho
    Imprime o tamanho em blocos de tamanho bytes. (Novo no Utilitários de Arquivo 4.0.)

-c, --total
    Imprime um total geral para todo argumento depois que todos os argumentos tenham sido processados. Isto pode ser usado para descobrir o total do disco usado de um conjunto de arquivos ou diretórios.

-D, --dereference-args
    Diferencia ligações simbólicas que são argumentos de comando de linha. Não afeta outras ligações simbólicas. Isto ajuda a descobrir a utilização dos diretórios do disco, assim como /usr/tmp, os quais freqüentemente são ligações simbólicas.

--exclude=modelo
    Quando recursivo, salta sub-diretórios ou arquivos concordantes com modelo. O modelo pode ser um arquivo de modelo global padrão do interpretador Bourne. (Novo no Utilitários de Arquivo 4.0.)

-h, --human-readable
    Anexa o rótulo de tamanho, como por exemplo M para binários de megabytes ('mebibytes'), para cada tamanho.

-H, --si
    Faça igual à opção -h, mas use a unidade oficial do SI (com potência de mil ao invês de 1024, de modo que M representa 1000000 ao invés de 1048576). (Novo no Utilitários de Arquivo 4.0.)

-k, --kilobytes
    Imprime o tamanho em kilobytes.

-l, --count-links
    Conta o tamanho de todos arquivos, mesmo se eles já aparecem (como ligação forte).

-L, --dereference
    Diferencia ligações simbólicas (mostra o espaço de disco usado por um arquivo ou diretório apontado pela ligação no lugar do espaço usado pela ligação).

-m, --megabytes
    Imprime o tamanho em blocos de megabytes (1,048,576 bytes).

--max-depth=n
    Imprime o total para um diretório (ou arquivo, com o sinalizador -a ) só se for n ou menos níveis abaixo do argumento da linha de comando; --max-depth=0 é igual ao sinalizador -s (Novo no Utilitários de Arquivo 4.0.)

-s, --summarize
    Exibe somente um total para cada argumento.

-S, --separate-dirs
    Relata o tamanho para cada diretório separadamente, não incluindo o tamanho dos sub-diretórios.

-x, --one-file-system
    Salta diretórios que estão em diferentes sistemas de arquivos daquele no qual o agumento está sendo processado.

-X arquivo, --exclude-from=arquivo
    Como --exclude, exceto que pega o modelo para excluir a partir do arquivo determinado. Modelos são listados um por linha. Se o arquivo é fornecido como '-', modelos são lidos da entrada padrão. (Novo no Utilitários de Arquivo 4.0.)

OPÇÕES PADRÃO GNU

--help
    Imprime a mensagem de uso na saída padrão e sai.

--version
    Imprime a versão na saída padrão e sai.

--  Encerra a lista de opção.

PROBLEMAS
Em sistemas BSD, o comando du relata tamanhos que são a metade dos valores corretos para arquivos que são montados de sistemas HP-UX via NFS. Em sistemas HP-UX, ele relata tamanhos que são duas vezes maiores que os valores corretos para os arquivos do sistema BSD montados via NFS. Isto é devido a uma falha no HP-UX; e também afeta o programa du do HP-UX.

AMBIENTE
A variável POSIXLY_CORRECT determina a escolha da unidade. Se ela não está selecionada, e a variável BLOCKSIZE tem um valor iniciando com 'HUMAN', então o comportamento é como o da opção -h, a menos que sobreposta pelas opções -k ou -m. As variáveis LANG, LC_ALL, LC_CTYPE and LC_MESSAGES tem seu significado usual.

DE ACORDO COM
POSIX 1003.2

NOTAS
Esta página descreve du como é encontrada no pacote Utilitários de Arquivo 4.0; outras versões podem ser um pouco diferentes. Envie correções e adições para aeb@cwi.nl. Relatório de problemas no programa para fileutils-bugs@gnu.ai.mit.edu.

TRADUZIDO POR LDP-BR em 21/08/2000.
André L. Fassone Canova <lonelywolf@blv.com.br> (tradução) Ricardo C.O. Freitas <english.quest@best-service.com> (revisão)